- [HTTP request](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/captureFundsReservationResultNotification#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/captureFundsReservationResultNotification#body.request_body)
  - [JSON representation](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/captureFundsReservationResultNotification#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/captureFundsReservationResultNotification#body.response_body)
- [CaptureFundsReservationResultCode](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/captureFundsReservationResultNotification#CaptureFundsReservationResultCode)
- [CaptureFundsReservationResultNotificationResponse](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/captureFundsReservationResultNotification#CaptureFundsReservationResultNotificationResponse)
  - [JSON representation](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/captureFundsReservationResultNotification#CaptureFundsReservationResultNotificationResponse.SCHEMA_REPRESENTATION)
- [CaptureFundsReservationResultNotificationResultCode](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/captureFundsReservationResultNotification#CaptureFundsReservationResultNotificationResultCode)

Notifies Google of the final result of an [`asynchronousCaptureFundsReservation`](https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/asynchronousCaptureFundsReservation#google.standardpayments.flows.card_fop_reserve_capture.v1.PaymentIntegratorCardReserveCaptureService.AsynchronousCaptureFundsReservation) request.

The `captureFundsReservationResult` value is idempotent for this `captureFundsReservationRequestId` and cannot be changed by a subsequent call to this method.

If the endpoint encounters an error while processing the request, the endpoint will return HTTP 4xx or 5xx and the HTTP body will either be of type [`ErrorResponse`](https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ErrorResponse) or contain a generic error (e.g. a message similar to "There was an error. Please try again later.").

The generic error is used in situations where an [`ErrorResponse`](https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ErrorResponse) with a clear description could be used to help an attacker understand the payment integrator account identifier of other integrators. In these situations, where either the signing key doesn't match, the payment integrator identifier was not found, or the encryption key was unknown, this method will return a generic error. If the request signature could be verified, additional information regarding the error will be returned in an [`ErrorResponse`](https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ErrorResponse).

An example request looks like:


    {
      "requestHeader": {
        "protocolVersion": {
          "major": 1,
          "minor": 0,
          "revision": 0
        },
        "requestId": "b558bd2b-5c61-4c75-b622-c0357e74c5ff",
        "requestTimestamp": "1481907920000"
      },
      "captureFundsReservationRequestId": "G112YZH4XPDV88J",
      "paymentIntegratorAccountId": "SpeedyPaymentsIndia_INR",
      "captureFundsReservationResult": "SUCCESS",
      "rawResult": {
        "scope": "VISA",
        "rawCode": "00"
      }
    }

An example response looks like:


    {
      "responseHeader": {
        "responseTimestamp": "1481907920560"
      },
      "result": "SUCCESS"
    }

### HTTP request

`POST https://vgw.googleapis.com/secure-serving/gsp/v1/payment-integrator-card-fop-api/captureFundsReservationResultNotification/https://developers.google.com/pay/card-fop-v1/reference/glossary#payment_integrator_account_id`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestHeader": { object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/RequestHeader) }, "captureFundsReservationRequestId": string, "paymentIntegratorAccountId": string, "captureFundsReservationResult": enum (`https://developers.google.com/pay/card-fop-v1/google-card-fop-api/captureFundsReservationResultNotification#CaptureFundsReservationResultCode`), "rawResult": { object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/CardNetworkResult#RawResult) } } ``` |

| Fields ||
|---|---|
| `requestHeader` | `object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/RequestHeader)` **REQUIRED**: Common header for all responses. |
| `captureFundsReservationRequestId` | `string` **REQUIRED** : A unique identifier for this transaction. This is the `requestId` generated by Google during the `asynchronousCaptureFundsReservation` call which this request is associated with. |
| `paymentIntegratorAccountId` | `string` **REQUIRED**: This is the payment integrator account identifier that identifies contractual constraints around this transaction. |
| `captureFundsReservationResult` | ``enum (`https://developers.google.com/pay/card-fop-v1/google-card-fop-api/captureFundsReservationResultNotification#CaptureFundsReservationResultCode`)`` **REQUIRED**: The result of this capture attempt. |
| `rawResult` | `object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/CardNetworkResult#RawResult)` **OPTIONAL**: The raw response code from the network to this capture call. This is informational only. |

### Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an `ErrorResponse`, consult the `ErrorResponse` object and [HTTP status codes documentation](https://developers.google.com/pay/card-fop-v1/guides/connectivity/protocol-standards#http_status_codes).

| Possible response messages ||
|---|---|
| HTTP 200 Status | ``object (`https://developers.google.com/pay/card-fop-v1/google-card-fop-api/captureFundsReservationResultNotification#CaptureFundsReservationResultNotificationResponse`)`` |
| HTTP 4XX / 5XX Status | `object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ErrorResponse)` |
| End of mutually exclusive fields. ||

## CaptureFundsReservationResultCode

Result codes for captures.

| Enums ||
|---|---|
| `CAPTURE_FUNDS_RESERVATION_RESULT_CODE_UNSPECIFIED` | Do not ever set this default value! |
| `SUCCESS` | The capture completed successfully. |
| `RESERVATION_OF_FUNDS_EXPIRED` | The prior reservation of funds has expired. |
| `REVOCATION_OF_AUTHORIZATION` | The network returned "Revocation of authorization order". |

## CaptureFundsReservationResultNotificationResponse

Response object for the Google hosted card-fop-v1.captureFundsReservationResultNotification method.

| JSON representation |
|---|
| ``` { "responseHeader": { object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ResponseHeader) }, "result": enum (`https://developers.google.com/pay/card-fop-v1/google-card-fop-api/captureFundsReservationResultNotification#CaptureFundsReservationResultNotificationResultCode`) } ``` |

| Fields ||
|---|---|
| `responseHeader` | `object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ResponseHeader)` **REQUIRED**: Common header for all responses. |
| `result` | ``enum (`https://developers.google.com/pay/card-fop-v1/google-card-fop-api/captureFundsReservationResultNotification#CaptureFundsReservationResultNotificationResultCode`)`` **REQUIRED**: Result of this call. |

## CaptureFundsReservationResultNotificationResultCode

Result codes for the `captureResultNotification` method.

| Enums ||
|---|---|
| `CAPTURE_FUNDS_RESERVATION_RESULT_NOTIFICATION_RESULT_CODE_UNSPECIFIED` | Do not ever set this default value! |
| `SUCCESS` | Capture Funds Reservation notification was successfully processed. |